Bug 1846194 - new logo is not displayed in Operator Hub
Summary: new logo is not displayed in Operator Hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: Nick Hale
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On: 1843652
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-11 03:48 UTC by OpenShift BugZilla Robot
Modified: 2020-08-10 13:50 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Upon Icon subresource request, package-server would return the icon from the first channel declared in a package. Consequence: The OpenShift Console could show icons for channels other than the default channel, which would sometimes be different than the latest icon published to the package. Fix: Package-server gets icons from the default channel for icon subresource requests. Result: Console only displays icons from default package/channels.
Clone Of:
Environment:
Last Closed: 2020-08-10 13:50:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Expected icon (1.41 KB, image/svg+xml)
2020-08-03 13:52 UTC, Simone Tiraboschi
no flags Details


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1580 None closed [release-4.5] Bug 1846194: fix(package-server): get icons from default channel 2020-09-07 16:46:58 UTC
Red Hat Product Errata RHBA-2020:3188 None None None 2020-08-10 13:50:43 UTC

Comment 15 Simone Tiraboschi 2020-08-03 13:52:33 UTC
Created attachment 1703296 [details]
Expected icon

Comment 18 errata-xmlrpc 2020-08-10 13:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3188


Note You need to log in before you can comment on or make changes to this bug.